Bug 1295259 - (php-di-symfony2-bridge) Review Request: php-di-symfony2-bridge - PHP-DI integration with Symfony 2
Review Request: php-di-symfony2-bridge - PHP-DI integration with Symfony 2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-di
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 20:59 EST by Shawn Iwinski
Modified: 2016-01-24 20:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 16:56:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)
phpci.log (4.45 KB, text/plain)
2016-01-07 03:55 EST, Remi Collet
no flags Details
review.txt (7.57 KB, text/plain)
2016-01-07 03:56 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2016-01-03 20:59:32 EST
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/502f453cbb36c893167ba5041bc8c4d414db13c3/php-di-symfony2-bridge/php-di-symfony2-bridge.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-di-symfony2-bridge-1.1.0-1.fc23.noarch.rpm

Description:
PHP-DI integration with Symfony 2.

Autoloader: /usr/share/php/DI/Bridge/Symfony/autoload.php


Fedora Account System Username: siwinski
Comment 2 Upstream Release Monitoring 2016-01-05 10:34:21 EST
remi's scratch build of php-di-5.2.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12420704
Comment 3 Remi Collet 2016-01-07 03:41:30 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12445406
Comment 4 Remi Collet 2016-01-07 03:55 EST
Created attachment 1112397 [details]
phpci.log

phpCompatInfo version 5.0.0 DB built Dec 29 2015 09:34:25 CET static analyze results
Comment 5 Remi Collet 2016-01-07 03:56 EST
Created attachment 1112398 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295259
Buildroot used: fedora-rawhide-x86_64
Comment 6 Remi Collet 2016-01-07 03:57:39 EST
composer.json looks strange, "tests" are in the "require" part, not in the "require-dev" section...

[x]: Package is named according to the Package Naming Guidelines.
    Ok, php-di-symfony2-bridge is better than php-php-di-symfony2-bridge

[x]: %check is present and all tests pass.
    Ok with PHPUnit 4.8 and 5.1
    Ok with PHP 5.6 and 7.0

No blocker.

=== APPROVED ===
Comment 7 Gwyn Ciesla 2016-01-07 08:43:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-di-symfony2-bridge
Comment 8 Fedora Update System 2016-01-07 15:02:27 EST
php-di-symfony2-bridge-1.1.0-1.fc22 php-di-5.2.0-1.fc22 php-di-invoker-1.2.0-1.fc22 php-mnapoli-phpunit-easymock-0.2.1-1.fc22 php-di-phpdoc-reader-2.0.1-1.fc22 php-container-interop-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d
Comment 9 Fedora Update System 2016-01-07 15:02:29 EST
php-di-symfony2-bridge-1.1.0-1.el7 php-di-5.2.0-1.el7 php-di-invoker-1.2.0-1.el7 php-mnapoli-phpunit-easymock-0.2.1-1.el7 php-di-phpdoc-reader-2.0.1-1.el7 php-container-interop-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200
Comment 10 Fedora Update System 2016-01-07 15:03:16 EST
php-container-interop-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4
Comment 11 Fedora Update System 2016-01-08 16:23:44 EST
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200
Comment 12 Fedora Update System 2016-01-08 23:25:16 EST
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d
Comment 13 Fedora Update System 2016-01-08 23:27:42 EST
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c
Comment 14 Fedora Update System 2016-01-20 16:56:01 EST
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-20 23:48:48 EST
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-24 20:29:57 EST
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.